<?php

namespace App\Http\Requests\V3\SafetyAndPrivacy;

use Illuminate\Foundation\Http\FormRequest;

class FirstStepStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'point' => 'required',
            'info_id' => 'required',
            'activity_date' => 'required|date_format:Y-m-d',
            'activity_time' => 'required|date_format:H:i',
            'recognize_picture' => 'required|image',
            'axis_type_id' => 'required|integer|exists:axis_types,id',
        ];
    }

    public function attributes(): array
    {
        return [
            'activity_date' => 'تاریخ فعالیت',
            'activity_time' => 'ساعت فعالیت',
        ];
    }
}
